package xn.hxp.http.api;

import androidx.annotation.NonNull;

import com.hjq.http.config.IRequestApi;
import com.hjq.http.config.IRequestBodyStrategy;
import com.hjq.http.config.IRequestType;
import com.hjq.http.model.RequestBodyType;

import java.io.File;

public class PostFaceByPicApi implements IRequestApi, IRequestType {
    private File file;
    private String subId;

    public PostFaceByPicApi(File inputStream, String subjectId) {
        this.file = inputStream;
        this.subId = subjectId;
    }

    @NonNull
    @Override
    public String getApi() {
        return "/api/auth/getFaceByPic";
    }

    @NonNull
    @Override
    public IRequestBodyStrategy getBodyType() {
        return RequestBodyType.FORM;
    }
}
